package apap.tutorial.belajarbelajar.repository;

import apap.tutorial.belajarbelajar.model.PengajarModel;

import java.util.Optional;
import java.util.List;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

@Repository
public interface PengajarDb extends JpaRepository<PengajarModel, Long> {
    Optional<PengajarModel> findByNoPengajar (Long noPengajar);
    List<PengajarModel> findByNamaPengajar(String namaPengajar);
}
