package apap.tutorial.belajarbelajar.service;
import java.time.LocalDateTime;
import java.util.List;
import apap.tutorial.belajarbelajar.model.PengajarModel;

public interface PengajarRestService {
    PengajarModel createPengajar(PengajarModel pengajar);
    PengajarModel updatePengajar(Long noPengajar, PengajarModel pengajarUpdate);
    PengajarModel getPengajarByNoPengajar(Long noPengajar);
    List<PengajarModel> retrieveListPengajar();
    void deletePengajar(Long noPengajar);
    boolean isClosed(LocalDateTime tanggalDimulai, LocalDateTime tanggalBerakhir);
    PengajarModel predictGender(Long noPengajar, Boolean b);
}
